Používání sad SDK třetích stran v aplikaci

Jakmile do aplikace integrujete sady SDK třetích stran, mohou výrazně ovlivnit kompatibilitu, výkon, bezpečnost, zabezpečení a kvalitu aplikace.

Změny ohledně sad SDK třetích stran

Chceme vám pomoci zajistit, aby software třetích stran, který vaše aplikace používá, splňoval programové zásady pro vývojáře Google Play a kladně přispíval k uživatelskému dojmu. Proto služba Google Play začne označovat známé problémy s oblíbenými sadami SDK ve službě Play Console.

Ke zjištění sady SDK, kterou vaše aplikace používá, využíváme soubor závislostí zahrnutý ve vaší aplikaci. Soubor závislostí obsahuje všechny verze knihoven, na kterých je aplikace závislá. Aplikace, které používají balíček Android App Bundle, poskytují soubor závislostí automaticky. Aplikace vytvořené před srpnem 2021 se soubory APK obsahují soubor závislostí počínaje pluginem Android Gradle 4.0.

Problémy se sadou SDK třetí strany v aplikaci

Případné problémy s verzemi sad SDK, které vaše aplikace používá, naleznete ve službě Play Console v horní části stránky Produkce nebo na stránce Přehled vydání.

Pokud vaše aplikace používá verzi sady SDK, která může způsobit, že aplikace nebude splňovat programové zásady služby Google Play pro vývojáře, nová vydání aplikací s touto verzí sady SDK mohou být odmítnuta. V závislosti na typu porušení budete přesměrováni na stránku, na které bude třeba zajistit splnění našich zásad pro údaje o uživateli, přepnutí na jinou verzi sady SDK (doporučené poskytovatelem) nebo odstranění sady SDK.

Pokud aplikace používá verzi sady SDK, která je zastaralá nebo obsahuje kritické problémy, zobrazí se vám upozornění, že může být potřeba podniknout další kroky. Například pokud nás poskytovatel sady SDK informoval, že verze sady SDK, kterou vaše aplikace používá, je zastaralá, můžete sice aplikaci publikovat, ale další verzi aplikace, která by obsahovala zastaralou verzi sady SDK, publikovat nebudete moci. Budete muset použít aktualizovanou verzi sady SDK. Pokud aplikace používá verzi sady SDK, u které poskytovatel SDK nahlásil, že obsahuje kritické problémy, zobrazí se vám upozornění s popisem typu problému, který uvedl poskytovatel sady SDK.

V případě dotazů ohledně verze sady SDK, která je buď zastaralá nebo obsahuje kritické problémy, doporučujeme kontaktovat poskytovatele sady SDK.

Pomohly vám tyto informace?
Jak bychom článek mohli vylepšit?

Potřebujete další pomoc?

Chcete-li problém rychle vyřešit, přihlaste se a získejte další možnosti podpory

Vyhledávání
Vymazat vyhledávání
Zavřít vyhledávání
Aplikace Google
Hlavní nabídka
Prohledat Centrum nápovědy
true
92637
false